---
id: 68f932c803f4d3d9f511b436
title: Step 20
challengeType: 0
dashedName: step-20
---

# --description--

The `flex-wrap` property defines whether flex items are forced onto one line or can wrap onto multiple lines.

By default, flex items have a value of `nowrap`, meaning they stay on a single line even if they overflow the container. The `wrap` value instead makes flex items wrap onto new lines when they don't fit in the container's width, creating a more flexible, responsive layout.

To continue, add the `flex-wrap` property with the value `wrap` to the `.flex-container` class selector.

# --hints--

Your `.flex-container` selector should have the property `flex-wrap` with the value `wrap`.

```js
assert.equal(new __helpers.CSSHelp(document).getStyle('.flex-container')?.getPropVal('flex-wrap'), 'wrap');
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title>Colored Boxes</title>
	<link rel="stylesheet" href="styles.css" />
</head>
<body>
	<header>
		<h1>Colored Boxes Layout</h1>
	</header>
	<div class="flex-container">
		<div class="box">
			<h2>Box 1</h2>
			<p>Red</p>
		</div>
		<div class="box">
			<h2>Box 2</h2>
			<p>Orange</p>
		</div>
		<div class="box">
			<h2>Box 3</h2>
			<p>Yellow</p>
		</div>
		<div class="box">
			<h2>Box 4</h2>
			<p>Green</p>
		</div>
		<div class="box">
			<h2>Box 5</h2>
			<p>Blue</p>
		</div>
		<div class="box">
			<h2>Box 6</h2>
			<p>Indigo</p>
		</div>
	</div>
</body>
</html>
```

```css
h1 {
  text-align: center;
  margin-bottom: 10px;
}

.box {
  max-height: 120px;
  color: #000;
  border: 1px solid #000;
  display: flex;
  flex: 1 1 100px;
  flex-direction: column;
  align-items: center;
  margin: 10px;
  font-weight: bold;
  font-size: 1.125rem;
  border-radius: 5px;
  order: 0; 
}

.flex-container {
  display: flex;
--fcc-editable-region--
  
--fcc-editable-region--
}
```
